<?php
/**
* ロガーのインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface ILogger
{
	/*
	 * ロガー名を取得
	 */
	public function getLoggerName();

	/*
	 * ロガーを初期化
	 */
	public function init( Config $config );

	/*
	 * 一行出力
	 */
	public function writeln( $key, $level, $message, $file, $line );

}
